Index: src/work/jacint/preflow_excess.h
===================================================================
--- src/work/jacint/preflow_excess.h	(revision 921)
+++ src/work/jacint/preflow_excess.h	(revision 986)
@@ -137,5 +137,5 @@
 	  InEdgeIt e;
 	  for(G.first(e,v); G.valid(e); G.next(e)) {
-	    Node w=G.tail(e);
+	    Node w=G.source(e);
 	    if ( level[w] == n && w != s ) {
 	      bfs_queue.push(w);
@@ -155,5 +155,5 @@
 	  T c=capacity[e];
 	  if ( c == 0 ) continue;
-	  Node w=G.head(e);
+	  Node w=G.target(e);
 	  if ( level[w] < n ) {	  
 	    if ( excess[w] == 0 && w!=t ) active[level[w]].push(w);
@@ -183,5 +183,5 @@
 	  for(G.first(e,v); G.valid(e); G.next(e)) {
 	    if ( capacity[e] == flow[e] ) continue;
-	    Node w=G.tail(e);
+	    Node w=G.source(e);
 	    if ( level[w] == n && w != s ) {
 	      bfs_queue.push(w);
@@ -197,5 +197,5 @@
 	  for(G.first(f,v); G.valid(f); G.next(f)) {
 	    if ( 0 == flow[f] ) continue;
-	    Node w=G.head(f);
+	    Node w=G.target(f);
 	    if ( level[w] == n && w != s ) {
 	      bfs_queue.push(w);
@@ -248,5 +248,5 @@
 	  T rem=capacity[e]-flow[e];
 	  if ( rem == 0 ) continue;
-	  Node w=G.head(e);
+	  Node w=G.target(e);
 	  if ( level[w] < n ) {	  
 	    if ( excess[w] == 0 && w!=t ) active[level[w]].push(w);
@@ -260,5 +260,5 @@
 	{
 	  if ( flow[f] == 0 ) continue;
-	  Node w=G.tail(f);
+	  Node w=G.source(f);
 	  if ( level[w] < n ) {	  
 	    if ( excess[w] == 0 && w!=t ) active[level[w]].push(w);
@@ -304,5 +304,5 @@
 	      for(G.first(e,v); G.valid(e); G.next(e)) {
 		if ( capacity[e] == flow[e] ) continue;
-		Node u=G.tail(e);
+		Node u=G.source(e);
 		if ( level[u] >= n ) { 
 		  bfs_queue.push(u);
@@ -315,5 +315,5 @@
 	      for(G.first(f,v); G.valid(f); G.next(f)) {
 		if ( 0 == flow[f] ) continue;
-		Node u=G.head(f);
+		Node u=G.target(f);
 		if ( level[u] >= n ) { 
 		  bfs_queue.push(u);
@@ -344,5 +344,5 @@
 	    
 	    if ( flow[e] == capacity[e] ) continue; 
-	    Node v=G.head(e);            
+	    Node v=G.target(e);            
 	    //e=wv	    
 	    
@@ -386,5 +386,5 @@
 	    
 	    if( flow[e] == 0 ) continue; 
-	    Node v=G.tail(e);  
+	    Node v=G.source(e);  
 	    //e=vw
 	    
@@ -570,5 +570,5 @@
 	OutEdgeIt e;
 	for(G.first(e,w) ; G.valid(e); G.next(e)) {
-	  Node v=G.head(e);
+	  Node v=G.target(e);
 	  if (!M[v] && flow[e] < capacity[e] ) {
 	    queue.push(v);
@@ -579,5 +579,5 @@
 	InEdgeIt f;
 	for(G.first(f,w) ; G.valid(f); G.next(f)) {
-	  Node v=G.tail(f);
+	  Node v=G.source(f);
 	  if (!M[v] && flow[f] > 0 ) {
 	    queue.push(v);
@@ -610,5 +610,5 @@
 	InEdgeIt e;
 	for(G.first(e,w) ; G.valid(e); G.next(e)) {
-	  Node v=G.tail(e);
+	  Node v=G.source(e);
 	  if (!M[v] && flow[e] < capacity[e] ) {
 	    queue.push(v);
@@ -619,5 +619,5 @@
 	OutEdgeIt f;
 	for(G.first(f,w) ; G.valid(f); G.next(f)) {
-	  Node v=G.head(f);
+	  Node v=G.target(f);
 	  if (!M[v] && flow[f] > 0 ) {
 	    queue.push(v);
Index: src/work/jacint/preflow_excess_test.cc
===================================================================
--- src/work/jacint/preflow_excess_test.cc	(revision 921)
+++ src/work/jacint/preflow_excess_test.cc	(revision 986)
@@ -53,5 +53,5 @@
   EdgeIt e;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (mincut[G.tail(e)] && !mincut[G.head(e)]) min_min_cut_value+=cap[e];
+    if (mincut[G.source(e)] && !mincut[G.target(e)]) min_min_cut_value+=cap[e];
   }
 
@@ -60,5 +60,5 @@
   int min_cut_value=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (cut[G.tail(e)] && !cut[G.head(e)]) 
+    if (cut[G.source(e)] && !cut[G.target(e)]) 
       min_cut_value+=cap[e];
   }
@@ -68,5 +68,5 @@
   int max_min_cut_value=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (maxcut[G.tail(e)] && !maxcut[G.head(e)]) 
+    if (maxcut[G.source(e)] && !maxcut[G.target(e)]) 
       max_min_cut_value+=cap[e];
       }
@@ -100,5 +100,5 @@
   int min_min_cut_value2=0;
     for(G.first(e); G.valid(e); G.next(e)) {
-    if (mincut2[G.tail(e)] && !mincut2[G.head(e)]) min_min_cut_value2+=cap[e];
+    if (mincut2[G.source(e)] && !mincut2[G.target(e)]) min_min_cut_value2+=cap[e];
   }
 
@@ -107,5 +107,5 @@
   int min_cut_value2=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (cut2[G.tail(e)] && !cut2[G.head(e)]) 
+    if (cut2[G.source(e)] && !cut2[G.target(e)]) 
       min_cut_value2+=cap[e];
   }
@@ -115,5 +115,5 @@
   int max_min_cut_value2=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (maxcut2[G.tail(e)] && !maxcut2[G.head(e)]) 
+    if (maxcut2[G.source(e)] && !maxcut2[G.target(e)]) 
       max_min_cut_value2+=cap[e];
       }
@@ -145,5 +145,5 @@
   int min_min_cut_value3=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (mincut3[G.tail(e)] && !mincut3[G.head(e)]) min_min_cut_value3+=cap[e];
+    if (mincut3[G.source(e)] && !mincut3[G.target(e)]) min_min_cut_value3+=cap[e];
   }
 
@@ -152,5 +152,5 @@
   int min_cut_value3=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (cut3[G.tail(e)] && !cut3[G.head(e)]) 
+    if (cut3[G.source(e)] && !cut3[G.target(e)]) 
       min_cut_value3+=cap[e];
   }
@@ -160,5 +160,5 @@
   int max_min_cut_value3=0;
   for(G.first(e); G.valid(e); G.next(e)) {
-    if (maxcut3[G.tail(e)] && !maxcut3[G.head(e)]) 
+    if (maxcut3[G.source(e)] && !maxcut3[G.target(e)]) 
       max_min_cut_value3+=cap[e];
       }
Index: src/work/jacint/preflow_res.h
===================================================================
--- src/work/jacint/preflow_res.h	(revision 921)
+++ src/work/jacint/preflow_res.h	(revision 986)
@@ -103,5 +103,5 @@
 	for(res_graph.first(e,v); res_graph.valid(e); 
 	    res_graph.next(e)) {
-	  Node w=res_graph.tail(e);
+	  Node w=res_graph.source(e);
 	  if ( level[w] == n && w != s ) {
 	    bfs_queue.push(w);
@@ -146,5 +146,5 @@
       for(res_graph.first(e,s); res_graph.valid(e); 
 	  res_graph.next(e)) {
-	  Node w=res_graph.head(e);
+	  Node w=res_graph.target(e);
 	  if ( level[w] < n ) {	  
 	    if ( excess[w] == 0 && w!=t ) {
@@ -191,5 +191,5 @@
 	      for(res_graph.first(e,v); 
 		  res_graph.valid(e); res_graph.next(e)) {
-		Node u=res_graph.tail(e);
+		Node u=res_graph.source(e);
 		if ( level[u] >= n ) { 
 		  bfs_queue.push(u);
@@ -222,5 +222,5 @@
 	  for(res_graph.first(e,w); res_graph.valid(e); res_graph.next(e)) {
 	    
-	    Node v=res_graph.head(e);            
+	    Node v=res_graph.target(e);            
 	    if( lev > level[v] ) {      
 	      /*Push is allowed now*/
@@ -401,5 +401,5 @@
 	OutEdgeIt e;
 	for(G.first(e,w) ; G.valid(e); G.next(e)) {
-	  Node v=G.head(e);
+	  Node v=G.target(e);
 	  if (!M[v] && flow[e] < capacity[e] ) {
 	    queue.push(v);
@@ -410,5 +410,5 @@
 	InEdgeIt f;
 	for(G.first(f,w) ; G.valid(f); G.next(f)) {
-	  Node v=G.tail(f);
+	  Node v=G.source(f);
 	  if (!M[v] && flow[f] > 0 ) {
 	    queue.push(v);
@@ -441,5 +441,5 @@
 	InEdgeIt e;
 	for(G.first(e,w) ; G.valid(e); G.next(e)) {
-	  Node v=G.tail(e);
+	  Node v=G.source(e);
 	  if (!M[v] && flow[e] < capacity[e] ) {
 	    queue.push(v);
@@ -450,5 +450,5 @@
 	OutEdgeIt f;
 	for(G.first(f,w) ; G.valid(f); G.next(f)) {
-	  Node v=G.head(f);
+	  Node v=G.target(f);
 	  if (!M[v] && flow[f] > 0 ) {
 	    queue.push(v);
Index: src/work/jacint/prim.h
===================================================================
--- src/work/jacint/prim.h	(revision 921)
+++ src/work/jacint/prim.h	(revision 986)
@@ -96,5 +96,5 @@
 	  OutEdgeIt e;
 	  for( G.first(e,v); G.valid(e); G.next(e)) {
-	    Node w=G.head(e); 
+	    Node w=G.target(e); 
 	    
 	    if ( !scanned[w] ) {
@@ -112,5 +112,5 @@
 	  InEdgeIt f;
 	  for( G.first(f,v); G.valid(f); G.next(f)) {
-	    Node w=G.tail(f); 
+	    Node w=G.source(f); 
 	    
 	    if ( !scanned[w] ) {
Index: src/work/johanna/ma_order.h
===================================================================
--- src/work/johanna/ma_order.h	(revision 921)
+++ src/work/johanna/ma_order.h	(revision 986)
@@ -58,5 +58,5 @@
 	  G.first(e,a);
 	  for (;G.valid(e);G.next(e)) {
-	    Node v = G.head(e); // hmm
+	    Node v = G.target(e); // hmm
 	    if (heap.state(v) == Heap::IN_HEAP ) {
 	      heap.decrease(v, heap[v]+1);
Index: src/work/marci/augmenting_flow.h
===================================================================
--- src/work/marci/augmenting_flow.h	(revision 970)
+++ src/work/marci/augmenting_flow.h	(revision 986)
@@ -211,5 +211,5 @@
 	OutEdgeIt e;
 	for(g->first(e,w) ; e!=INVALID; ++e) {
-	  Node v=g->head(e);
+	  Node v=g->target(e);
 	  if (!M[v] && (*flow)[e] < (*capacity)[e] ) {
 	    queue.push(v);
@@ -220,5 +220,5 @@
 	InEdgeIt f;
 	for(g->first(f,w) ; f!=INVALID; ++f) {
-	  Node v=g->tail(f);
+	  Node v=g->source(f);
 	  if (!M[v] && (*flow)[f] > 0 ) {
 	    queue.push(v);
@@ -271,6 +271,6 @@
       ResGWEdge e=bfs;
       if (e!=INVALID && bfs.isBNodeNewlyReached()) {
-	Node v=res_graph.tail(e);
-	Node w=res_graph.head(e);
+	Node v=res_graph.source(e);
+	Node w=res_graph.target(e);
 	pred.set(w, e);
 	if (pred[v]!=INVALID) {
@@ -279,5 +279,5 @@
 	  free.set(w, res_cap[e]);
 	}
-	if (res_graph.head(e)==t) { _augment=true; break; }
+	if (res_graph.target(e)==t) { _augment=true; break; }
       }
 
@@ -291,5 +291,5 @@
 	ResGWEdge e=pred[n];
 	res_graph.augment(e, augment_value);
-	n=res_graph.tail(e);
+	n=res_graph.source(e);
       }
     }
@@ -330,6 +330,6 @@
       ResGWEdge e=bfs;
       if (e!=INVALID && bfs.isBNodeNewlyReached()) {
-	Node v=res_graph.tail(e);
-	Node w=res_graph.head(e);
+	Node v=res_graph.source(e);
+	Node w=res_graph.target(e);
 	pred.set(w, e);
 	if (pred[v]!=INVALID) {
@@ -338,5 +338,5 @@
 	  free.set(w, res_cap[e]);
 	}
-	if (res_graph.head(e)==t) { _augment=true; break; }
+	if (res_graph.target(e)==t) { _augment=true; break; }
       }
 
@@ -350,5 +350,5 @@
 	ResGWEdge e=pred[n];
 	res_graph.augment(e, augment_value);
-	n=res_graph.tail(e);
+	n=res_graph.source(e);
       }
     }
@@ -396,7 +396,7 @@
       if (e!=INVALID) {
 	if (bfs.isBNodeNewlyReached()) {
-	  dist.set(res_graph.head(e), dist[res_graph.tail(e)]+1);
-	  typename MG::Edge f=F.addEdge(res_graph_to_F[res_graph.tail(e)],
-					res_graph_to_F[res_graph.head(e)]);
+	  dist.set(res_graph.target(e), dist[res_graph.source(e)]+1);
+	  typename MG::Edge f=F.addEdge(res_graph_to_F[res_graph.source(e)],
+					res_graph_to_F[res_graph.target(e)]);
 	  //original_edge.update();
 	  original_edge.set(f, e);
@@ -404,7 +404,7 @@
 	  residual_capacity.set(f, res_cap[e]);
 	} else {
-	  if (dist[res_graph.head(e)]==(dist[res_graph.tail(e)]+1)) {
-	    typename MG::Edge f=F.addEdge(res_graph_to_F[res_graph.tail(e)],
-					  res_graph_to_F[res_graph.head(e)]);
+	  if (dist[res_graph.target(e)]==(dist[res_graph.source(e)]+1)) {
+	    typename MG::Edge f=F.addEdge(res_graph_to_F[res_graph.source(e)],
+					  res_graph_to_F[res_graph.target(e)]);
 	    //original_edge.update();
 	    original_edge.set(f, e);
@@ -434,6 +434,6 @@
 	if (typename MG::Edge(dfs)!=INVALID) {
 	  if (dfs.isBNodeNewlyReached()) {
-	    typename MG::Node v=F.tail(dfs);
-	    typename MG::Node w=F.head(dfs);
+	    typename MG::Node v=F.source(dfs);
+	    typename MG::Node w=F.target(dfs);
 	    pred.set(w, dfs);
 	    if (pred[v]!=INVALID) {
@@ -460,5 +460,5 @@
 	  typename MG::Edge e=pred[n];
 	  res_graph.augment(original_edge[e], augment_value);
-	  n=F.tail(e);
+	  n=F.source(e);
 	  if (residual_capacity[e]==augment_value)
 	    F.erase(e);
@@ -499,5 +499,5 @@
       ResGWEdge e=bfs;
       if (e!=INVALID && bfs.isBNodeNewlyReached())
-	potential.set(res_graph.head(e), potential[res_graph.tail(e)]+1);
+	potential.set(res_graph.target(e), potential[res_graph.source(e)]+1);
       ++bfs;
     } 
@@ -554,6 +554,6 @@
 	  if (dfs.isBNodeNewlyReached()) {
 	    
-	    typename ErasingResGW::Node v=erasing_res_graph.tail(dfs);
-	    typename ErasingResGW::Node w=erasing_res_graph.head(dfs);
+	    typename ErasingResGW::Node v=erasing_res_graph.source(dfs);
+	    typename ErasingResGW::Node w=erasing_res_graph.target(dfs);
 
 	    pred.set(w, typename ErasingResGW::Edge(dfs));
@@ -586,5 +586,5 @@
 	  typename ErasingResGW::Edge e=pred[n];
 	  res_graph.augment(e, augment_value);
-	  n=erasing_res_graph.tail(e);
+	  n=erasing_res_graph.source(e);
 	  if (res_cap[e]==0)
 	    erasing_res_graph.erase(e);
Index: src/work/marci/bfs_dfs.h
===================================================================
--- src/work/marci/bfs_dfs.h	(revision 921)
+++ src/work/marci/bfs_dfs.h	(revision 986)
@@ -64,5 +64,5 @@
 	//graph->first(actual_edge, s);
 	if (actual_edge!=INVALID) { 
-	  Node w=graph->head(actual_edge);
+	  Node w=graph->target(actual_edge);
 	  if (!reached[w]) {
 	    bfs_queue.push(w);
@@ -86,5 +86,5 @@
 	//++actual_edge;
 	if (actual_edge!=INVALID) {
-	  Node w=graph->head(actual_edge);
+	  Node w=graph->target(actual_edge);
 	  if (!reached[w]) {
 	    bfs_queue.push(w);
@@ -101,5 +101,5 @@
 	  //graph->first(actual_edge, bfs_queue.front());
 	  if (actual_edge!=INVALID) {
-	    Node w=graph->head(actual_edge);
+	    Node w=graph->target(actual_edge);
 	    if (!reached[w]) {
 	      bfs_queue.push(w);
@@ -125,7 +125,7 @@
     bool isANodeExamined() const { return actual_edge==INVALID; }
     /// Returns a-node of the actual edge, so does if the edge is invalid.
-    Node tail() const { return bfs_queue.front(); }
+    Node source() const { return bfs_queue.front(); }
     /// \pre The actual edge have to be valid.
-    Node head() const { return graph->head(actual_edge); }
+    Node target() const { return graph->target(actual_edge); }
     /// Guess what?
     /// \deprecated 
@@ -187,6 +187,6 @@
       if (this->graph->valid(this->actual_edge) && this->b_node_newly_reached) 
       {
-	pred.set(this->head(), this->actual_edge);
-	dist.set(this->head(), dist[this->tail()]);
+	pred.set(this->target(), this->actual_edge);
+	dist.set(this->target(), dist[this->source()]);
       }
       return *this;
@@ -247,5 +247,5 @@
       actual_edge=dfs_stack.top();
       if (actual_edge!=INVALID/*.valid()*/) { 
-	Node w=graph->head(actual_edge);
+	Node w=graph->target(actual_edge);
 	actual_node=w;
 	if (!reached[w]) {
@@ -256,5 +256,5 @@
 	  b_node_newly_reached=true;
 	} else {
-	  actual_node=graph->tail(actual_edge);
+	  actual_node=graph->source(actual_edge);
 	  ++dfs_stack.top();
 	  b_node_newly_reached=false;
@@ -277,8 +277,8 @@
     bool isANodeExamined() const { return actual_edge==INVALID; }
     /// Returns a-node of the actual edge, so does if the edge is invalid.
-    Node tail() const { return actual_node; /*FIXME*/}
+    Node source() const { return actual_node; /*FIXME*/}
     /// Returns b-node of the actual edge. 
     /// \pre The actual edge have to be valid.
-    Node head() const { return graph->head(actual_edge); }
+    Node target() const { return graph->target(actual_edge); }
     /// Guess what?
     /// \deprecated
@@ -334,5 +334,5 @@
       if (this->graph->valid(this->actual_edge) && this->b_node_newly_reached) 
       {
-	pred.set(this->head(), this->actual_edge);
+	pred.set(this->target(), this->actual_edge);
       }
       return *this;
Index: src/work/marci/bfs_mm.h
===================================================================
--- src/work/marci/bfs_mm.h	(revision 944)
+++ src/work/marci/bfs_mm.h	(revision 986)
@@ -72,5 +72,5 @@
 	//graph->first(actual_edge, s);
 	if (actual_edge!=INVALID) { 
-	  Node w=graph->head(actual_edge);
+	  Node w=graph->target(actual_edge);
 	  if (!(*reached_map)[w]) {
 	    bfs_queue.push(w);
@@ -94,5 +94,5 @@
 	//++actual_edge;
 	if (actual_edge!=INVALID) {
-	  Node w=graph->head(actual_edge);
+	  Node w=graph->target(actual_edge);
 	  if (!(*reached_map)[w]) {
 	    bfs_queue.push(w);
@@ -109,5 +109,5 @@
 	  //graph->first(actual_edge, bfs_queue.front());
 	  if (actual_edge!=INVALID) {
-	    Node w=graph->head(actual_edge);
+	    Node w=graph->target(actual_edge);
 	    if (!(*reached_map)[w]) {
 	      bfs_queue.push(w);
@@ -133,7 +133,7 @@
     bool isANodeExamined() const { return actual_edge==INVALID; }
     /// Returns a-node of the actual edge, so does if the edge is invalid.
-    Node tail() const { return bfs_queue.front(); }
+    Node source() const { return bfs_queue.front(); }
     /// \pre The actual edge have to be valid.
-    Node head() const { return graph->head(actual_edge); }
+    Node target() const { return graph->target(actual_edge); }
     /// Guess what?
     /// \deprecated 
@@ -232,7 +232,7 @@
       if ((this->actual_edge)!=INVALID && this->b_node_newly_reached) 
       {
-	pred_map->set(this->head(), this->actual_edge);
-	pred_node_map->set(this->head(), this->tail());
-	dist_map->set(this->head(), (*dist_map)[this->tail()]);
+	pred_map->set(this->target(), this->actual_edge);
+	pred_node_map->set(this->target(), this->source());
+	dist_map->set(this->target(), (*dist_map)[this->source()]);
       }
       return *this;
@@ -458,5 +458,5 @@
       actual_edge=dfs_stack.top();
       if (actual_edge!=INVALID/*.valid()*/) { 
-	Node w=graph->head(actual_edge);
+	Node w=graph->target(actual_edge);
 	actual_node=w;
 	if (!reached[w]) {
@@ -467,5 +467,5 @@
 	  b_node_newly_reached=true;
 	} else {
-	  actual_node=graph->tail(actual_edge);
+	  actual_node=graph->source(actual_edge);
 	  ++dfs_stack.top();
 	  b_node_newly_reached=false;
@@ -488,8 +488,8 @@
     bool isANodeExamined() const { return actual_edge==INVALID; }
     /// Returns a-node of the actual edge, so does if the edge is invalid.
-    Node tail() const { return actual_node; /*FIXME*/}
+    Node source() const { return actual_node; /*FIXME*/}
     /// Returns b-node of the actual edge. 
     /// \pre The actual edge have to be valid.
-    Node head() const { return graph->head(actual_edge); }
+    Node target() const { return graph->target(actual_edge); }
     /// Guess what?
     /// \deprecated
@@ -545,5 +545,5 @@
       if (this->graph->valid(this->actual_edge) && this->b_node_newly_reached) 
       {
-	pred.set(this->head(), this->actual_edge);
+	pred.set(this->target(), this->actual_edge);
       }
       return *this;
Index: src/work/marci/bfs_mm_test.cc
===================================================================
--- src/work/marci/bfs_mm_test.cc	(revision 959)
+++ src/work/marci/bfs_mm_test.cc	(revision 986)
@@ -92,6 +92,6 @@
 
 //   for(EdgeIt e(G); e==INVALID; ++e) {
-//     Node u=G.tail(e);
-//     Node v=G.head(e);
+//     Node u=G.source(e);
+//     Node v=G.target(e);
 //     check( !bfs_test.reached(u) ||
 // 	   (bfs_test.dist(v) > bfs_test.dist(u)+1),
@@ -103,5 +103,5 @@
 //     if ( bfs_test.pred(v)!=INVALID ) {
 //       Edge e=bfs_test.pred(v);
-//       Node u=G.tail(e);
+//       Node u=G.source(e);
 //       check(u==bfs_test.predNode(v),"Wrong tree.");
 //       check(bfs_test.dist(v) - bfs_test.dist(u) == 1,
Index: src/work/marci/bfsit_vs_byhand.cc
===================================================================
--- src/work/marci/bfsit_vs_byhand.cc	(revision 944)
+++ src/work/marci/bfsit_vs_byhand.cc	(revision 986)
@@ -49,5 +49,5 @@
       bfs_queue.pop();
       for(OutEdgeIt e(g,v); e!=INVALID; ++e) {
-	Node w=g.head(e);
+	Node w=g.target(e);
 	if (!reached[w]) {
 	  bfs_queue.push(w);
@@ -71,5 +71,5 @@
       ++bfs; 
       if (Graph::Edge(bfs)!=INVALID && bfs.isBNodeNewlyReached()) 
-	pred.set(bfs.head(), Graph::Edge(bfs));
+	pred.set(bfs.target(), Graph::Edge(bfs));
     }
   }
Index: src/work/marci/bipartite_graph_wrapper.h
===================================================================
--- src/work/marci/bipartite_graph_wrapper.h	(revision 921)
+++ src/work/marci/bipartite_graph_wrapper.h	(revision 986)
@@ -168,15 +168,15 @@
 //     InEdgeIt& next(InEdgeIt& i) const { this->graph->next(i.e); return i; }
 
-//     Node tail(const Edge& e) { 
-//       if (!(*(this->s_false_t_true_map))[this->graph->tail(e)]) 
-// 	return Node(this->graph->tail(e));
+//     Node source(const Edge& e) { 
+//       if (!(*(this->s_false_t_true_map))[this->graph->source(e)]) 
+// 	return Node(this->graph->source(e));
 //       else
-// 	return Node(this->graph->head(e));	
-//     }
-//     Node head(const Edge& e) { 
-//       if (!(*(this->s_false_t_true_map))[this->graph->tail(e)]) 
-// 	return Node(this->graph->head(e));
+// 	return Node(this->graph->target(e));	
+//     }
+//     Node target(const Edge& e) { 
+//       if (!(*(this->s_false_t_true_map))[this->graph->source(e)]) 
+// 	return Node(this->graph->target(e));
 //       else
-// 	return Node(this->graph->tail(e));	
+// 	return Node(this->graph->source(e));	
 //     }
 
@@ -253,7 +253,7 @@
 
     /// A new edge is inserted.
-    ///\pre \c tail have to be in \c S_Class and \c head in \c T_Class.
-    Edge addEdge(const Node& tail, const Node& head) {
-      return Parent::graph->addEdge(tail, head);
+    ///\pre \c source have to be in \c S_Class and \c target in \c T_Class.
+    Edge addEdge(const Node& source, const Node& target) {
+      return Parent::graph->addEdge(source, target);
     }
 
@@ -696,8 +696,8 @@
     }    
 
-    Node tail(const Edge& e) const { 
+    Node source(const Edge& e) const { 
       switch (e.spec) {
       case 0: 
-	return Node(this->graph->tail(e));
+	return Node(this->graph->source(e));
 	break;
       case 1:
@@ -710,8 +710,8 @@
       }
     }
-    Node head(const Edge& e) const { 
+    Node target(const Edge& e) const { 
       switch (e.spec) {
       case 0: 
-	return Node(this->graph->head(e));
+	return Node(this->graph->target(e));
 	break;
       case 1:
@@ -733,8 +733,8 @@
     }
   
-    Node aNode(const OutEdgeIt& e) const { return tail(e); }
-    Node aNode(const InEdgeIt& e) const { return head(e); }
-    Node bNode(const OutEdgeIt& e) const { return head(e); }
-    Node bNode(const InEdgeIt& e) const { return tail(e); }
+    Node aNode(const OutEdgeIt& e) const { return source(e); }
+    Node aNode(const InEdgeIt& e) const { return target(e); }
+    Node bNode(const OutEdgeIt& e) const { return target(e); }
+    Node bNode(const InEdgeIt& e) const { return source(e); }
 
     void addNode() const { }
@@ -742,6 +742,6 @@
     
 //    Node addNode() const { return Node(this->graph->addNode()); }
-//    Edge addEdge(const Node& tail, const Node& head) const { 
-//      return Edge(this->graph->addEdge(tail, head)); }
+//    Edge addEdge(const Node& source, const Node& target) const { 
+//      return Edge(this->graph->addEdge(source, target)); }
 
 //    void erase(const Node& i) const { this->graph->erase(i); }
Index: src/work/marci/bipartite_graph_wrapper_test.cc
===================================================================
--- src/work/marci/bipartite_graph_wrapper_test.cc	(revision 921)
+++ src/work/marci/bipartite_graph_wrapper_test.cc	(revision 986)
@@ -88,5 +88,5 @@
   cout << "Edges of the bipartite graph:" << endl;
   for (BGW::EdgeIt e(bgw); e!=INVALID; ++e)
-    cout << g.id(bgw.tail(e)) << "->" << g.id(bgw.head(e)) << endl;
+    cout << g.id(bgw.source(e)) << "->" << g.id(bgw.target(e)) << endl;
 
   BGW::NodeMap<int> dbyj(bgw);
